Subject: bug#71081: closed (Re: bug#71081: 30.0.50; shell-command-on-region outputs boilerplate text on Windows)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 25 May 2024 10:04:02 +0000

Your bug report

#71081: 30.0.50; shell-command-on-region outputs boilerplate text on Windows

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
71081: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=71081
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#71081: 30.0.50; shell-command-on-region outputs boilerplate text on Windows
From: Eli Zaretskii <[email-masked]>
To: Ihor Radchenko <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Sat, 25 May 2024 13:03:33 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Thu, 23 May 2024 14:36:22 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> more over, on Linux, different shells have different behaviors wrt
> >> input/command argument/script file).
> >
> > Same on Windows.  Try PowerShell some day.  Does it mean we need to
> > document all of that in our documentation?
> 
> It would be nice, yes. Without details - just point that there is a
> difference. Maybe in the "41.3 Creating a Synchronous Process" section
> of the manual.

Done, and closing the bug.

Subject: 30.0.50; shell-command-on-region outputs boilerplate text on Windows
From: Ihor Radchenko <[email-masked]>
To: [email-masked]
Date: Mon, 20 May 2024 18:34:52 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

On Linux, if I put

echo foo

into scratch, select it, and run M-x shell-command-on-region sh,
I get "foo" in echo area.

However, on Windows, the result of M-x shell-command-on-region cmdproxy is

Microsoft Windows [Version 10.0.19045.2251]
(c) Microsoft Corporation. All rights reserved.

c:\Users\johndoe\Org>echo foo
foo

I expected just "foo".

Original bug report:
https://list.orgmode.org/orgmode/[email-masked]/

AFAIU, the culprit is how cmdproxy handles piped input:

cmdproxy -c 'echo foo' works fine, outputting "foo".
However (in powershell) echo 'echo foo' | cmdproxy yields the above
verbose text - all in stdout.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>